net.sf.jasperreports.engine

## Class JasperFillManager

- java.lang.Object
- - net.sf.jasperreports.engine.JasperFillManager

-     public final class JasperFillManager
      extends java.lang.Object

  Facade class for filling compiled report designs with data from report data sources, in order to produce page-oriented documents, ready-to-print.

  It exposes a variety of methods that receive a report template in the form of an object, file, or input stream, and also produces a document in various output forms (object, file, or output stream).

  All methods receive a Map object that should contain the values for the report parameters. These values are retrieved by the engine using the corresponding report parameter name as the key.

  There are two types of method signatures with regards to the data source provided for filling the report:

  - Methods that receive an instance of the `JRDataSource` interface and use it directly for retrieving report data;
  - Methods that receive an instance of the `java.sql.Connection` interface and retrieve the report data by executing the report internal SQL query through this JDBC connection and wrapping the returned `java.sql.ResultSet` object inside a `JRResultSetDataSource` instance.
  Version:
    $Id: JasperFillManager.java 7017 2014-04-15 10:18:40Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JasperReport`, `JRDataSource`, `JRFiller`, `JasperPrint`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JasperPrint` | `fill(java.io.InputStream inputStream, java.util.Map<java.lang.String,java.lang.Object> parameters)` Fills the compiled report design loaded from the supplied input stream and returns the generated report object.
    `JasperPrint` | `fill(java.io.InputStream inputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)` Fills the compiled report design loaded from the supplied input stream and returns the generated report object.
    `JasperPrint` | `fill(java.io.InputStream inputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)` Fills the compiled report design loaded from the supplied input stream and returns the generated report object.
    `JasperPrint` | `fill(JasperReport jasperReport, java.util.Map<java.lang.String,java.lang.Object> parameters)` Fills the compiled report design supplied as the first parameter and returns the generated report object.
    `JasperPrint` | `fill(JasperReport jasperReport, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)` Fills the compiled report design supplied as the first parameter and returns the generated report object.
    `JasperPrint` | `fill(JasperReport jasperReport, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)` Fills the compiled report design supplied as the first parameter and returns the generated report object.
    `JasperPrint` | `fill(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params)` Fills the compiled report design loaded from the specified file and returns the generated report object.
    `JasperPrint` | `fill(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, java.sql.Connection connection)` Fills the compiled report design loaded from the specified file and returns the generated report object.
    `JasperPrint` | `fill(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, JRDataSource dataSource)` Fills the compiled report design loaded from the specified file and returns the generated report object.
    `static JasperPrint` | `fillReport(java.io.InputStream inputStream, java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `static JasperPrint` | `fillReport(java.io.InputStream inputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)`
    `static JasperPrint` | `fillReport(java.io.InputStream inputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)`
    `static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)`
    `static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)`
    `static JasperPrint` | `fillReport(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params)`
    `static JasperPrint` | `fillReport(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, java.sql.Connection connection)`
    `static JasperPrint` | `fillReport(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, JRDataSource dataSource)`
    `static void` | `fillReportToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `static void` | `fillReportToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)`
    `static void` | `fillReportToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)`
    `static java.lang.String` | `fillReportToFile(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params)`
    `static java.lang.String` | `fillReportToFile(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, java.sql.Connection connection)`
    `static java.lang.String` | `fillReportToFile(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, JRDataSource dataSource)`
    `static void` | `fillReportToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> params)`
    `static void` | `fillReportToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> params, java.sql.Connection connection)`
    `static void` | `fillReportToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> params, JRDataSource dataSource)`
    `static void` | `fillReportToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `static void` | `fillReportToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)`
    `static void` | `fillReportToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)`
    `static void` | `fillReportToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `static void` | `fillReportToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)`
    `static void` | `fillReportToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)`
    `void` | `fillToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> parameters)` Fills the compiled report design received as the first parameter and places the result in the file specified by the second parameter.
    `void` | `fillToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)` Fills the compiled report design received as the first parameter and places the result in the file specified by the second parameter.
    `void` | `fillToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)` Fills the compiled report design received as the first parameter and places the result in the file specified by the second parameter.
    `java.lang.String` | `fillToFile(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params)` Fills the compiled report design loaded from the specified file.
    `java.lang.String` | `fillToFile(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, java.sql.Connection connection)` Fills the compiled report design loaded from the specified file.
    `java.lang.String` | `fillToFile(java.lang.String sourceFileName, java.util.Map<java.lang.String,java.lang.Object> params, JRDataSource dataSource)` Fills the compiled report design loaded from the specified file.
    `void` | `fillToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> params)` Fills the compiled report design loaded from the file received as the first parameter and places the result in the file specified by the second parameter.
    `void` | `fillToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> params, java.sql.Connection connection)` Fills the compiled report design loaded from the file received as the first parameter and places the result in the file specified by the second parameter.
    `void` | `fillToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map<java.lang.String,java.lang.Object> params, JRDataSource dataSource)` Fills the compiled report design loaded from the file received as the first parameter and places the result in the file specified by the second parameter.
    `void` | `fillToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters)` Fills the compiled report design loaded from the supplied input stream and writes the generated report object to the output stream specified by the second parameter.
    `void` | `fillToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)` Fills the compiled report design loaded from the supplied input stream and writes the generated report object to the output stream specified by the second parameter.
    `void` | `fillToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)` Fills the compiled report design loaded from the supplied input stream and writes the generated report object to the output stream specified by the second parameter.
    `void` | `fillToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters)` Fills the compiled report design supplied as the first parameter and writes the generated report object to the output stream specified by the second parameter.
    `void` | `fillToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, java.sql.Connection connection)` Fills the compiled report design supplied as the first parameter and writes the generated report object to the output stream specified by the second parameter.
    `void` | `fillToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map<java.lang.String,java.lang.Object> parameters, JRDataSource dataSource)` Fills the compiled report design supplied as the first parameter and writes the generated report object to the output stream specified by the second parameter.
    `static JasperFillManager` | `getInstance(JasperReportsContext jasperReportsContext)`
    `protected JasperReportsContext` | `getLocalJasperReportsContext(java.io.File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static JasperFillManager getInstance(JasperReportsContext jasperReportsContext)

    - #### fillToFile

          public java.lang.String fillToFile(java.lang.String sourceFileName,
                                    java.util.Map<java.lang.String,java.lang.Object> params,
                                    java.sql.Connection connection)
                                      throws JRException

      Fills the compiled report design loaded from the specified file. The result of this operation is another file that will contain the serialized `JasperPrint` object representing the generated document, having the same name as the report design as declared in the source file, plus the `*.jrprint` extension, located in the same directory as the source file.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `params` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Throws:
        `JRException`

    - #### fillToFile

          public java.lang.String fillToFile(java.lang.String sourceFileName,
                                    java.util.Map<java.lang.String,java.lang.Object> params)
                                      throws JRException

      Fills the compiled report design loaded from the specified file. The result of this operation is another file that will contain the serialized `JasperPrint` object representing the generated document, having the same name as the report design as declared in the source file, plus the `*.jrprint` extension, located in the same directory as the source file.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `params` - report parameters map
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fillToFile

          public void fillToFile(java.lang.String sourceFileName,
                        java.lang.String destFileName,
                        java.util.Map<java.lang.String,java.lang.Object> params,
                        java.sql.Connection connection)
                          throws JRException

      Fills the compiled report design loaded from the file received as the first parameter and places the result in the file specified by the second parameter.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `destFileName` - file name to place the generated report into
        `params` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Throws:
        `JRException`

    - #### fillToFile

          public void fillToFile(java.lang.String sourceFileName,
                        java.lang.String destFileName,
                        java.util.Map<java.lang.String,java.lang.Object> params)
                          throws JRException

      Fills the compiled report design loaded from the file received as the first parameter and places the result in the file specified by the second parameter.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `destFileName` - file name to place the generated report into
        `params` - report parameters map
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fillToFile

          public void fillToFile(JasperReport jasperReport,
                        java.lang.String destFileName,
                        java.util.Map<java.lang.String,java.lang.Object> parameters,
                        java.sql.Connection connection)
                          throws JRException

      Fills the compiled report design received as the first parameter and places the result in the file specified by the second parameter.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `destFileName` - file name to place the generated report into
        `parameters` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Throws:
        `JRException`

    - #### fillToFile

          public void fillToFile(JasperReport jasperReport,
                        java.lang.String destFileName,
                        java.util.Map<java.lang.String,java.lang.Object> parameters)
                          throws JRException

      Fills the compiled report design received as the first parameter and places the result in the file specified by the second parameter.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `destFileName` - file name to place the generated report into
        `parameters` - report parameters map
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fill

          public JasperPrint fill(java.lang.String sourceFileName,
                         java.util.Map<java.lang.String,java.lang.Object> params,
                         java.sql.Connection connection)
                           throws JRException

      Fills the compiled report design loaded from the specified file and returns the generated report object.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `params` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Returns:
        generated report object
      Throws:
        `JRException`

    - #### fill

          public JasperPrint fill(java.lang.String sourceFileName,
                         java.util.Map<java.lang.String,java.lang.Object> params)
                           throws JRException

      Fills the compiled report design loaded from the specified file and returns the generated report object.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `params` - report parameters map
      Returns:
        generated report object
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fillToStream

          public void fillToStream(java.io.InputStream inputStream,
                          java.io.OutputStream outputStream,
                          java.util.Map<java.lang.String,java.lang.Object> parameters,
                          java.sql.Connection connection)
                            throws JRException

      Fills the compiled report design loaded from the supplied input stream and writes the generated report object to the output stream specified by the second parameter.
      Parameters:
        `inputStream` - input stream to read the compiled report design object from
        `outputStream` - output stream to write the generated report object to
        `parameters` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Throws:
        `JRException`

    - #### fillToStream

          public void fillToStream(java.io.InputStream inputStream,
                          java.io.OutputStream outputStream,
                          java.util.Map<java.lang.String,java.lang.Object> parameters)
                            throws JRException

      Fills the compiled report design loaded from the supplied input stream and writes the generated report object to the output stream specified by the second parameter.
      Parameters:
        `inputStream` - input stream to read the compiled report design object from
        `outputStream` - output stream to write the generated report object to
        `parameters` - report parameters map
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fillToStream

          public void fillToStream(JasperReport jasperReport,
                          java.io.OutputStream outputStream,
                          java.util.Map<java.lang.String,java.lang.Object> parameters,
                          java.sql.Connection connection)
                            throws JRException

      Fills the compiled report design supplied as the first parameter and writes the generated report object to the output stream specified by the second parameter.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `outputStream` - output stream to write the generated report object to
        `parameters` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Throws:
        `JRException`

    - #### fillToStream

          public void fillToStream(JasperReport jasperReport,
                          java.io.OutputStream outputStream,
                          java.util.Map<java.lang.String,java.lang.Object> parameters)
                            throws JRException

      Fills the compiled report design supplied as the first parameter and writes the generated report object to the output stream specified by the second parameter.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `outputStream` - output stream to write the generated report object to
        `parameters` - report parameters map
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fill

          public JasperPrint fill(java.io.InputStream inputStream,
                         java.util.Map<java.lang.String,java.lang.Object> parameters,
                         java.sql.Connection connection)
                           throws JRException

      Fills the compiled report design loaded from the supplied input stream and returns the generated report object.
      Parameters:
        `inputStream` - input stream to read the compiled report design object from
        `parameters` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Returns:
        generated report object
      Throws:
        `JRException`

    - #### fill

          public JasperPrint fill(java.io.InputStream inputStream,
                         java.util.Map<java.lang.String,java.lang.Object> parameters)
                           throws JRException

      Fills the compiled report design loaded from the supplied input stream and returns the generated report object.
      Parameters:
        `inputStream` - input stream to read the compiled report design object from
        `parameters` - report parameters map
      Returns:
        generated report object
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fill

          public JasperPrint fill(JasperReport jasperReport,
                         java.util.Map<java.lang.String,java.lang.Object> parameters,
                         java.sql.Connection connection)
                           throws JRException

      Fills the compiled report design supplied as the first parameter and returns the generated report object.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `parameters` - report parameters map
        `connection` - JDBC connection object to use for executing the report internal SQL query
      Returns:
        generated report object
      Throws:
        `JRException`

    - #### fill

          public JasperPrint fill(JasperReport jasperReport,
                         java.util.Map<java.lang.String,java.lang.Object> parameters)
                           throws JRException

      Fills the compiled report design supplied as the first parameter and returns the generated report object.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `parameters` - report parameters map
      Returns:
        generated report object
      Throws:
        `JRException`
      See Also:
        `JRFiller.fill(JasperReportsContext, JasperReport, Map)`

    - #### fillToFile

          public java.lang.String fillToFile(java.lang.String sourceFileName,
                                    java.util.Map<java.lang.String,java.lang.Object> params,
                                    JRDataSource dataSource)
                                      throws JRException

      Fills the compiled report design loaded from the specified file. The result of this operation is another file that will contain the serialized `JasperPrint` object representing the generated document, having the same name as the report design as declared in the source file, plus the `*.jrprint` extension, located in the same directory as the source file.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `params` - report parameters map
        `dataSource` - data source object
      Throws:
        `JRException`

    - #### fillToFile

          public void fillToFile(java.lang.String sourceFileName,
                        java.lang.String destFileName,
                        java.util.Map<java.lang.String,java.lang.Object> params,
                        JRDataSource dataSource)
                          throws JRException

      Fills the compiled report design loaded from the file received as the first parameter and places the result in the file specified by the second parameter.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `destFileName` - file name to place the generated report into
        `params` - report parameters map
        `dataSource` - data source object
      Throws:
        `JRException`

    - #### fillToFile

          public void fillToFile(JasperReport jasperReport,
                        java.lang.String destFileName,
                        java.util.Map<java.lang.String,java.lang.Object> parameters,
                        JRDataSource dataSource)
                          throws JRException

      Fills the compiled report design received as the first parameter and places the result in the file specified by the second parameter.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `destFileName` - file name to place the generated report into
        `parameters` - report parameters map
        `dataSource` - data source object
      Throws:
        `JRException`

    - #### fill

          public JasperPrint fill(java.lang.String sourceFileName,
                         java.util.Map<java.lang.String,java.lang.Object> params,
                         JRDataSource dataSource)
                           throws JRException

      Fills the compiled report design loaded from the specified file and returns the generated report object.
      Parameters:
        `sourceFileName` - source file containing the compile report design
        `params` - report parameters map
        `dataSource` - data source object
      Returns:
        generated report object
      Throws:
        `JRException`

    - #### fillToStream

          public void fillToStream(java.io.InputStream inputStream,
                          java.io.OutputStream outputStream,
                          java.util.Map<java.lang.String,java.lang.Object> parameters,
                          JRDataSource dataSource)
                            throws JRException

      Fills the compiled report design loaded from the supplied input stream and writes the generated report object to the output stream specified by the second parameter.
      Parameters:
        `inputStream` - input stream to read the compiled report design object from
        `outputStream` - output stream to write the generated report object to
        `parameters` - report parameters map
        `dataSource` - data source object
      Throws:
        `JRException`

    - #### fillToStream

          public void fillToStream(JasperReport jasperReport,
                          java.io.OutputStream outputStream,
                          java.util.Map<java.lang.String,java.lang.Object> parameters,
                          JRDataSource dataSource)
                            throws JRException

      Fills the compiled report design supplied as the first parameter and writes the generated report object to the output stream specified by the second parameter.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `outputStream` - output stream to write the generated report object to
        `parameters` - report parameters map
        `dataSource` - data source object
      Throws:
        `JRException`

    - #### fill

          public JasperPrint fill(java.io.InputStream inputStream,
                         java.util.Map<java.lang.String,java.lang.Object> parameters,
                         JRDataSource dataSource)
                           throws JRException

      Fills the compiled report design loaded from the supplied input stream and returns the generated report object.
      Parameters:
        `inputStream` - input stream to read the compiled report design object from
        `parameters` - report parameters map
        `dataSource` - data source object
      Returns:
        generated report object
      Throws:
        `JRException`

    - #### fill

          public JasperPrint fill(JasperReport jasperReport,
                         java.util.Map<java.lang.String,java.lang.Object> parameters,
                         JRDataSource dataSource)
                           throws JRException

      Fills the compiled report design supplied as the first parameter and returns the generated report object.
      Parameters:
        `jasperReport` - compiled report design object to use for filling
        `parameters` - report parameters map
        `dataSource` - data source object
      Returns:
        generated report object
      Throws:
        `JRException`

    - #### fillReportToFile

          public static java.lang.String fillReportToFile(java.lang.String sourceFileName,
                                          java.util.Map<java.lang.String,java.lang.Object> params,
                                          java.sql.Connection connection)
                                                   throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(String, Map, Connection)`

    - #### fillReportToFile

          public static java.lang.String fillReportToFile(java.lang.String sourceFileName,
                                          java.util.Map<java.lang.String,java.lang.Object> params)
                                                   throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(String, Map)`

    - #### fillReportToFile

          public static void fillReportToFile(java.lang.String sourceFileName,
                              java.lang.String destFileName,
                              java.util.Map<java.lang.String,java.lang.Object> params,
                              java.sql.Connection connection)
                                       throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(String, String, Map, Connection)`

    - #### fillReportToFile

          public static void fillReportToFile(java.lang.String sourceFileName,
                              java.lang.String destFileName,
                              java.util.Map<java.lang.String,java.lang.Object> params)
                                       throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(String, String, Map)`

    - #### fillReportToFile

          public static void fillReportToFile(JasperReport jasperReport,
                              java.lang.String destFileName,
                              java.util.Map<java.lang.String,java.lang.Object> parameters,
                              java.sql.Connection connection)
                                       throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(JasperReport, String, Map, Connection)`

    - #### fillReportToFile

          public static void fillReportToFile(JasperReport jasperReport,
                              java.lang.String destFileName,
                              java.util.Map<java.lang.String,java.lang.Object> parameters)
                                       throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(JasperReport, String, Map)`

    - #### fillReport

          public static JasperPrint fillReport(java.lang.String sourceFileName,
                               java.util.Map<java.lang.String,java.lang.Object> params,
                               java.sql.Connection connection)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(String, Map, Connection)`

    - #### fillReport

          public static JasperPrint fillReport(java.lang.String sourceFileName,
                               java.util.Map<java.lang.String,java.lang.Object> params)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(String, Map)`

    - #### fillReportToStream

          public static void fillReportToStream(java.io.InputStream inputStream,
                                java.io.OutputStream outputStream,
                                java.util.Map<java.lang.String,java.lang.Object> parameters,
                                java.sql.Connection connection)
                                         throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToStream(InputStream, OutputStream, Map, Connection)`

    - #### fillReportToStream

          public static void fillReportToStream(java.io.InputStream inputStream,
                                java.io.OutputStream outputStream,
                                java.util.Map<java.lang.String,java.lang.Object> parameters)
                                         throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToStream(InputStream, OutputStream, Map)`

    - #### fillReportToStream

          public static void fillReportToStream(JasperReport jasperReport,
                                java.io.OutputStream outputStream,
                                java.util.Map<java.lang.String,java.lang.Object> parameters,
                                java.sql.Connection connection)
                                         throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToStream(JasperReport, OutputStream, Map, Connection)`

    - #### fillReportToStream

          public static void fillReportToStream(JasperReport jasperReport,
                                java.io.OutputStream outputStream,
                                java.util.Map<java.lang.String,java.lang.Object> parameters)
                                         throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToStream(JasperReport, OutputStream, Map)`

    - #### fillReport

          public static JasperPrint fillReport(java.io.InputStream inputStream,
                               java.util.Map<java.lang.String,java.lang.Object> parameters,
                               java.sql.Connection connection)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(InputStream, Map, Connection)`

    - #### fillReport

          public static JasperPrint fillReport(java.io.InputStream inputStream,
                               java.util.Map<java.lang.String,java.lang.Object> parameters)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(InputStream, Map)`

    - #### fillReport

          public static JasperPrint fillReport(JasperReport jasperReport,
                               java.util.Map<java.lang.String,java.lang.Object> parameters,
                               java.sql.Connection connection)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(JasperReport, Map, Connection)`

    - #### fillReport

          public static JasperPrint fillReport(JasperReport jasperReport,
                               java.util.Map<java.lang.String,java.lang.Object> parameters)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(JasperReport, Map)`

    - #### fillReportToFile

          public static java.lang.String fillReportToFile(java.lang.String sourceFileName,
                                          java.util.Map<java.lang.String,java.lang.Object> params,
                                          JRDataSource dataSource)
                                                   throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(String, Map, JRDataSource)`

    - #### fillReportToFile

          public static void fillReportToFile(java.lang.String sourceFileName,
                              java.lang.String destFileName,
                              java.util.Map<java.lang.String,java.lang.Object> params,
                              JRDataSource dataSource)
                                       throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(String, String, Map, JRDataSource)`

    - #### fillReportToFile

          public static void fillReportToFile(JasperReport jasperReport,
                              java.lang.String destFileName,
                              java.util.Map<java.lang.String,java.lang.Object> parameters,
                              JRDataSource dataSource)
                                       throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToFile(JasperReport, String, Map, JRDataSource)`

    - #### fillReport

          public static JasperPrint fillReport(java.lang.String sourceFileName,
                               java.util.Map<java.lang.String,java.lang.Object> params,
                               JRDataSource dataSource)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(String, Map, JRDataSource)`

    - #### fillReportToStream

          public static void fillReportToStream(java.io.InputStream inputStream,
                                java.io.OutputStream outputStream,
                                java.util.Map<java.lang.String,java.lang.Object> parameters,
                                JRDataSource dataSource)
                                         throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToStream(InputStream, OutputStream, Map, JRDataSource)`

    - #### fillReportToStream

          public static void fillReportToStream(JasperReport jasperReport,
                                java.io.OutputStream outputStream,
                                java.util.Map<java.lang.String,java.lang.Object> parameters,
                                JRDataSource dataSource)
                                         throws JRException

      Throws:
        `JRException`
      See Also:
        `fillToStream(JasperReport, OutputStream, Map, JRDataSource)`

    - #### fillReport

          public static JasperPrint fillReport(java.io.InputStream inputStream,
                               java.util.Map<java.lang.String,java.lang.Object> parameters,
                               JRDataSource dataSource)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(InputStream, Map, JRDataSource)`

    - #### fillReport

          public static JasperPrint fillReport(JasperReport jasperReport,
                               java.util.Map<java.lang.String,java.lang.Object> parameters,
                               JRDataSource dataSource)
                                        throws JRException

      Throws:
        `JRException`
      See Also:
        `fill(JasperReport, Map, JRDataSource)`

    - #### getLocalJasperReportsContext

          protected JasperReportsContext getLocalJasperReportsContext(java.io.File file)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com